<!-- Copyright (C) 2017-2020 Linagora

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>. -->

<app-header 
  [isLargeScreen]="isLargeScreen$ | async" 
  [ui]="ui$ | async" 
  [workspace]="workspace$ | async"
  [workspacesIdsNames]="workspacesIdsNames$ | async"
></app-header>

<div 
  fxLayout="column" 
  fxFlex 
  [style.display]="!(isFetchingWorkspace$ | async) ? null : 'none'"
  class="page-workspace"
  ><router-outlet></router-outlet></div>
